<?php
defined('BASEPATH') OR exit('No direct script access allowed');


/**
 * User class.
 * 
 * @extends REST_Controller
 */
require(APPPATH.'/libraries/REST_Controller.php');
use Restserver\Libraries\REST_Controller;

class Setting extends REST_Controller {

	/**
	 * __construct function.
	 * 
	 * @access public
	 * @return void
	 */
	public function __construct() {
		parent::__construct();
		$this->load->library('Authorization_Token');
		$this->load->model('Setting_model');
	}


	/**
	 * loginBiometric function.
	 * 
	 * @access public
	 * @return void
	 */
	public function index_get($id = 0) {
		
		$final = array();
        // ------- Main Logic part -------

		// set validation rules
		$setting    = $this->Setting_model->get_setting();
		$final['status'] = true;
		$final['message'] = 'Data confirmed';
		$final['data'] = $setting;
		$this->response($final, REST_Controller::HTTP_OK); 			
	}


	
}
